## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStream::TranscoderInternalFailureException Class Reference

`#include <XalanOutputStream.hpp>`

Inheritance diagram for XalanOutputStream::TranscoderInternalFailureException

Collaboration diagram for XalanOutputStream::TranscoderInternalFailureException:

List of all members.

## Public Methods

- TranscoderInternalFailureException (const XalanDOMString& theEncoding)
- virtual ~TranscoderInternalFailureException ()
- const XalanDOMString& getEncoding () const

## Constructor & Destructor Documentation

XalanOutputStream::TranscoderInternalFailureException::TranscoderInternalFailureException ( | const XalanDOMString & theEncoding )

virtual XalanOutputStream::TranscoderInternalFailureException::~TranscoderInternalFailureException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & XalanOutputStream::TranscoderInternalFailureException::getEncoding ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.